# Generated by Django 2.0.3 on 2018-03-14 21:20

from django.conf import settings
import django.contrib.postgres.fields
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import reader.validators


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Article',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('id_in_feed', models.CharField(max_length=200)),
                ('uri', models.URLField()),
                ('title', models.TextField()),
                ('content', models.TextField()),
                ('published_at', models.DateTimeField()),
                ('updated_at', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'ordering': ('-published_at', '-created_at'),
            },
        ),
        migrations.CreateModel(
            name='Feed',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True)),
                ('uri', models.URLField(unique=True, validators=[django.core.validators.URLValidator(schemes=['http', 'https']), reader.validators.http_port_validator])),
                ('last_fetched_at', models.DateTimeField(blank=True, null=True)),
                ('last_hash', models.BinaryField(blank=True, max_length=20, null=True)),
                ('frequency_per_year', models.IntegerField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'ordering': ('created_at',),
            },
        ),
        migrations.CreateModel(
            name='ReaderProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
        ),
        migrations.CreateModel(
            name='Subscription',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('subscribed_at', models.DateTimeField(auto_now_add=True)),
                ('tags', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=40), default=list, size=100)),
                ('feed', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reader.Feed')),
                ('reader', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reader.ReaderProfile')),
            ],
        ),
        migrations.AddField(
            model_name='readerprofile',
            name='feeds',
            field=models.ManyToManyField(blank=True, related_name='subscribers', through='reader.Subscription', to='reader.Feed'),
        ),
        migrations.AddField(
            model_name='readerprofile',
            name='read',
            field=models.ManyToManyField(blank=True, related_name='read_by', to='reader.Article'),
        ),
        migrations.AddField(
            model_name='readerprofile',
            name='stars',
            field=models.ManyToManyField(blank=True, related_name='stared_by', to='reader.Article'),
        ),
        migrations.AddField(
            model_name='readerprofile',
            name='user',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='reader_profile', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='article',
            name='feed',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reader.Feed'),
        ),
        migrations.AlterUniqueTogether(
            name='subscription',
            unique_together={('reader', 'feed')},
        ),
    ]
